-- CREATE_PLANNING_PROCEDURES.sql
--
-- Authors:     Prof. Dr. Lutz Pluemer <pluemer@ikg.uni-bonn.de>
--              Dr. Thomas H. Kolbe <kolbe@ikg.uni-bonn.de>
--              Dr. Gerhard Groeger <groeger@ikg.uni-bonn.de>
--              Joerg Schmittwilken <schmittwilken@ikg.uni-bonn.de>
--              Viktor Stroh <stroh@ikg.uni-bonn.de>
--
-- Copyright:   (c) 2004-2006, Institute for Cartography and Geoinformation,
--                             Universitt Bonn, Germany
--                             http://www.ikg.uni-bonn.de
--
--              This skript is free software under the LGPL Version 2.1.
--              See the GNU Lesser General Public License at
--              http://www.gnu.org/copyleft/lgpl.html
--              for more details.
-------------------------------------------------------------------------------
-- About:
--
--
-------------------------------------------------------------------------------
--
-- ChangeLog:
--
-- Version | Date       | Description                               | Author
-- 1.0       2006-04-03   release version                             LPlu
--                                                                    TKol
--                                                                    GGro
--                                                                    JSch
--                                                                    VStr
--

CREATE OR REPLACE PROCEDURE AddPlanning(
  title VARCHAR2,
  description VARCHAR2,
  executive VARCHAR2,
  spatialExtent MDSYS.SDO_GEOMETRY
)

IS
  status NUMBER;
  message VARCHAR2(256);

BEGIN
  AddPlanningBdy(title, description, executive, spatialExtent, status, message);
  IF status = 1 THEN
    DBMS_OUTPUT.put_line('Planung mit der ID ' || message || ' angelegt');
  ELSE
    DBMS_OUTPUT.put_line('Fehler: ' || message);
  END IF;

END;
/




CREATE OR REPLACE PROCEDURE UpdatePlanning(
  newId NUMBER,
  newTitle VARCHAR2,
  newDescription VARCHAR2,
  newExecutive VARCHAR2,
  newSpatialExtent MDSYS.SDO_GEOMETRY
)

IS
  status NUMBER;
  message VARCHAR2(256);

BEGIN
  UpdatePlanningBdy(newId, newTitle, newDescription, newExecutive, newSpatialExtent, status, message);
  IF status = 1 THEN
    DBMS_OUTPUT.put_line('Metadaten der Planung aktualisiert');
  ELSE
    DBMS_OUTPUT.put_line('Fehler: ' || message);
  END IF;

END;
/






CREATE OR REPLACE PROCEDURE DiscardPlanning(
  planningId NUMBER
)

IS
  status NUMBER;
  message VARCHAR2(256);

BEGIN
  DiscardPlanningBdy(planningId, status, message);
  IF status = 1 THEN
    DBMS_OUTPUT.put_line('Planung beendet');
  ELSE
    DBMS_OUTPUT.put_line('Fehler: ' || message);
  END IF;

END;
/




CREATE OR REPLACE PROCEDURE AcceptPlanning(
  planningId NUMBER,
  acceptedAlternativeId NUMBER
)

IS
  status NUMBER;
  message VARCHAR2(256);

BEGIN
  AcceptPlanningBdy(planningId, acceptedAlternativeId, status, message);
  IF status = 1 THEN
    DBMS_OUTPUT.put_line('Planung bernommen');
  ELSE
    DBMS_OUTPUT.put_line('Fehler: ' || message);
  END IF;

END;
/